Provide a way to organize the Inventory display in the Hosts page
Description

Currently the Inventory display is not very useful for me because | usually need to go through multiple pages of facts to find the
specific fact | need.

| think that most people have a small number of facts that are more "relevant” then others.

It will be nice to be able to choose the facts that | want to be displayed in the head of the list,Maybe via a checkbox'ble(new word ?)
list of all facts names foreman has collected in the "settings" page.

Even better would be a way to explicitly set the order of these "relevant" facts - maybe vi a "move from A column to be B column"”
style UL

All this would have to take into account the fact that different machines have different facts names,so a "relevant" fact might not exist
on some hosts.

Related issues:

Related to Foreman - Feature #87: Filtering on fact name Rejected 11/23/2009
Related to Foreman - Feature #1344: Allow customization of columns in host view. Resolved 11/22/2011
Related to Foreman - Feature #1403: [foreman] [UI] - tables columns should be... New 12/19/2011
Related to Foreman - Feature #29059: Custom field on host view Duplicate

Related to Foreman - Feature #34516: Include the host comments to a host list... Closed

Related to Foreman - Feature #34515: Host list page should show the owner of ... Closed

History

#1 - 11/05/2009 01:28 PM - Ohad Levy

This will require some thought, as not all facts are available for every host.

I'll keep in mind once we start redoing the basic Ul

#2 - 11/19/2009 09:24 AM - Oded Ben Ozer

In case it wasn't clear, heres an example of a "move from A column to be B column" Ul :
dragndrop.jpg (uploded for Issue #82)

Even better would be and "push up" "push down" buttons so you don't need to add/remove entries to change the order.

#3 - 06/09/2011 02:49 AM - Ohad Levy

- Assignee set to Amos Benari

#4 - 09/03/2012 06:32 AM - Romain Vrignaud
- Category set to Web Interface

- Target version setto 1.1

For now on host page one have no choice and always see (name, OS, Env, Model, Hostgroup, LastReport) facts.
The aim of this feature is to be able to custum layout with for instance (name, OS, Hostgroup, RAM, DELL tag, Kernel version)

Maybe different layout would be save and each user could set a default layout.
https://projects.theforeman.org/issues/82

#5 - 09/05/2012 04:34 AM - Benjamin Papillon

One of the admins | know asked me exactly the same feature. He don't want the OS column but the ipaddress one instead.
Customising this list can be helpful for some admins.

#6 - 11/23/2012 03:00 PM - Ohad Levy

- Target version deleted (1.1)

#7 - 12/31/2012 04:53 AM - Kristian Botnen

Is there any activity on this?

Ive started implementing this on my own installation.

Il start out with one column at first, IP-adress. That is extending the list view.

But Ill look into make the "Extra column" configurable, so that you could choose which value to put into the column. | think defaulting to IP-adress will
be wise since the IP-adress will be available for all hosts.

-K-
#8 - 01/07/2013 11:11 AM - Daniel Lobato Garcia
I'm implementing this on a per-user basis.

Users and non-users have some sensible defaults (current properties, name, os, environment, etc..) stored in a field in the database, User -
"custom_host_table", just a string that is generated through an Ul similar to the one Oded Ben Ozer posted.

When an user visits http:/foreman/hosts, the page will load this list of custom columns and will populate it with whatever the user has on the
mentioned "custom_host_table" property, or it will load the default values if user.current is not set.

Any chance of this going upstream?
#9 - 01/08/2013 03:55 AM - Daniel Lobato Garcia
Latest foreman as of Jan 8th 2013 has something like this

MVQiK.png
What I'm doing essentially looks the same.

#10 - 01/08/2013 03:59 AM - Ohad Levy
Daniel Lobato Garcia wrote:
I'm implementing this on a per-user basis.

Users and non-users have some sensible defaults (current properties, name, os, environment, etc..) stored in a field in the database, User -
"custom_host_table", just a string that is generated through an Ul similar to the one Oded Ben Ozer posted.

When an user visits http:/foreman/hosts, the page will load this list of custom columns and will populate it with whatever the user has on the
mentioned "custom_host_table" property, or it will load the default values if user.current is not set.

Any chance of this going upstream?

I would love to extend Settings model to include a User settings,
this way we could reuse the settings table and make settings smart enough to load the system wide defaults or the specific user settings (in general)
| think this would be the most flexible solution long term as well (for any type of settings that makes sense for a user to override).

#11 - 10/18/2013 08:13 AM - Benjamin Papillon
- Related to Feature #1403: [foreman] [Ul] - tables columns should be resizable added

#12 - 10/18/2013 08:57 AM - Dominic Cleal

- Description updated

The foreman_column_view plugin also helps here, as it allows you to add an additional column to the host list or to the left of the host show page:

https://github.com/GregSutcliffe/foreman_column_view

#13 - 08/20/2014 03:13 AM - Ohad Levy
http://foreman/hosts
http://foreman/hosts
https://github.com/GregSutcliffe/foreman_column_view

- Assignee deleted (Amos Benari)

#14 - 02/21/2018 06:32 AM - usps tracking

- removed spam -

#15 - 04/27/2020 07:40 AM - Marek Hulan
- Related to Feature #29059: Custom field on host view added

#16 - 04/29/2021 09:26 AM - Ondfej Ezr
- Bugzilla link set to 1813274

#17 - 02/24/2022 01:56 PM - Marek Hulan

If anyone search for such functionality, there's https:/github.com/theforeman/foreman_column_view

It's not per user, it's hard to setup and it's limited just to host attributes but it may help some users.

#18 - 02/24/2022 01:59 PM - Marek Hulan
- Related to Feature #34516: Include the host comments to a host list page added

#19 - 02/24/2022 01:59 PM - Marek Hulan
- Related to Feature #34515: Host list page should show the owner of the host added
